Folks.IndividualAggregator.link_personas – folks Reference Manual

# link_personas

## Description:

public async void link_personas (Set<Persona> personas) throws IndividualAggregatorError

Link the given Personas together.

Create links between the given Personas so that they form a single Individual. The new Individual will be returned via the IndividualAggregator.individuals_changed signal.

Removal of the Individuals which the Personas were in before is signalled by IndividualAggregator.individuals_changed and Individual.removed.

This method is safe to call multiple times concurrently.

## Parameters:

personas | the Personas to be linked

## Exceptions:

IndividualAggregatorError.NO_PRIMARY_STORE | if no primary store has been configured for the individual aggregator
IndividualAggregatorError | if adding the linking persona failed — this will be passed through from IndividualAggregator.add_persona_from_details

## Since:

0.5.1